AbstractPersistentCollection.ListIteratorProxy (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.collection.internal
Class AbstractPersistentCollection.ListIteratorProxy

    java.lang.Object
      org.hibernate.collection.internal.AbstractPersistentCollection.ListIteratorProxy

All Implemented Interfaces:
  Iterator, ListIterator

Enclosing class:
  AbstractPersistentCollection

    protected final class AbstractPersistentCollection.ListIteratorProxy

extends Object
implements ListIterator

Field Summary
`protected ListIterator` | `itr`

Constructor Summary
`AbstractPersistentCollection.ListIteratorProxy(ListIterator itr)`

Method Summary
`void` | `add(Object o)`
`boolean` | `hasNext()`
`boolean` | `hasPrevious()`
`Object` | `next()`
`int` | `nextIndex()`
`Object` | `previous()`
`int` | `previousIndex()`
`void` | `remove()`
`void` | `set(Object o)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### itr

    protected final ListIterator itr

Constructor Detail

### AbstractPersistentCollection.ListIteratorProxy

    public AbstractPersistentCollection.ListIteratorProxy(ListIterator itr)

Method Detail

### add

    public void add(Object o)

  Specified by:
    `add` in interface `ListIterator`

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator`
  Specified by:
    `hasNext` in interface `ListIterator`

### hasPrevious

    public boolean hasPrevious()

  Specified by:
    `hasPrevious` in interface `ListIterator`

### next

    public Object next()

  Specified by:
    `next` in interface `Iterator`
  Specified by:
    `next` in interface `ListIterator`

### nextIndex

    public int nextIndex()

  Specified by:
    `nextIndex` in interface `ListIterator`

### previous

    public Object previous()

  Specified by:
    `previous` in interface `ListIterator`

### previousIndex

    public int previousIndex()

  Specified by:
    `previousIndex` in interface `ListIterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator`
  Specified by:
    `remove` in interface `ListIterator`

### set

    public void set(Object o)

  Specified by:
    `set` in interface `ListIterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.